import request from '@/utils/request'

export function getExpertList(query) {
  return request({
    url: '/expert/expert/',
    method: 'get',
    params: query
  })
}
export function createExpert(data) {
  return request({
    url: '/expert/expert/',
    method: 'post',
    data
  })
}
export function updateExpert(id, data) {
  return request({
    url: `/expert/expert/${id}/`,
    method: 'put',
    data
  })
}
export function deleteExpert(id) {
  return request({
    url: `/expert/expert/${id}/`,
    method: 'delete'
  })
}
